본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Pixel & SDK linkage management

사이드 메뉴

Kakao Map

Search

Kakao Moment

Pixel & SDK linkage management

This document describes how to use the Pixel & SDK linkage management APIs.

View list of linked Pixel & SDKs

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/trackers/rightsBusiness token

Retrieves the list of the Pixel & SDKs linked to the ad account.

Target population passed in the response indicates the estimated number of reach by collecting data through the corresponding event for the last 120 days from midnight. The data is updated every 3 P.M.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the list of ad groups in JSON format. If failed, refer to Error code to figure out its failure cause.

This API limits the number of calls you can make to every five seconds per user account.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O

Response

Body
NameTypeDescription
-TrackRights[]List of Pixel & SDK information.
TrackRights
NameTypeDescription
trackIdStringTrack ID.
trackNameStringName of the linked Pixel & SDK.
populationStringTarget population.
Estimated reach calculated through the data from midnight to the last 180 days with the corresponding event.
The data is updated every 3 P.M.
eventStatusStringStatus.
Either PRE_COLLECTION (Before collecting) or COLLECTION (Collecting).
createdDateStringDate and time when the event is created in yyyy-MM-dd'T'HH:mm:ss.SSS format.
lastEventDateStringDate and time when the event is lastly checked in yyyy-MM-dd'T'HH:mm:ss.SSSXXX format.
roleStringTrack permission.
Either MASTER or MEMBER.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/trackers/rights" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"trackRights": [
{
"trackId": "1234567890",
"trackName": "pixel",
"population": 0,
"eventStatus": "COLLECTION",
"createdDate": "2019-12-10T08:18:22.000+0000",
"lastEventDate": null,
"role": "MASTER"
},
{
"trackId": "1234567891",
"trackName": "Pixel",
"population": 0,
"eventStatus": "PRE_COLLECTION",
"createdDate": "2020-01-01T00:00:00.000+0000",
"lastEventDate": "2020-01-01 15:00:00",
"role": "MEMBER"
}
]
}

View list of linkable Pixel & SDKs

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/trackers/rightAvailablesBusiness token

Retrieves the list of the Pixel & SDKs that usage permission can be added to.

You can add up to 100 Pixel & SDKs per ad account.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the list of the Pixel & SDKs that permission can be added to in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O

Response

Body
NameTypeDescription
-PixelAndSdkInfo[]List of Pixel & SDK information.
PixelAndSdkInfo
NameTypeDescription
trackIdStringTrack ID.
Pass this value for trackId when requesting the Linking Pixel & SDK API.
nameStringTrack name.
createdAtStringDate and time of creation.
updatedAtStringDate and time of modification.
roleStringTrack permission.
One of MASTER, MEMBER or REQUEST.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/trackers/rightAvailables" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"trackId": "1234567890123456789",
"name": "Pixel&SDK_available_to_add_permission",
"createdAt": "2020-01-01T00:00:00.000+0000",
"updatedAt": "2020-01-01T00:00:00.000+0000",
"role": "MEMBER"
},
{
"trackId": "9876543210987654321",
"name": "Pixel&SDK_available_to_add_permission",
"createdAt": "2020-01-01T00:00:00.000+0000",
"updatedAt": "2020-01-01T00:00:00.000+0000",
"role": "REQUEST"
}
]

Link Pixel & SDK

Basic information
MethodURLAuthorization
POSThttps://apis.moment.kakao.com/openapi/v4/trackersBusiness token

Enables you to link a specific Pixel & SDK to an ad account.

You can link to up to 100 Pixel & SDKs per ad account.

Send a POST request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the HTTP status code 200 without the response body. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Body
NameTypeDescriptionRequired
trackIdStringTrack ID.
Use trackId obtained through the Viewing list of linkable Pixel & SDKs API.
O
adAccountIdLongAd account's ID.O

Sample

Request
curl -X POST "https://apis.moment.kakao.com/openapi/v4/trackers" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-d '{
"trackId": "5678901234",
"adAccountId": "12345"
}'
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8

Unlink Pixel & SDK

Basic information
MethodURLAuthorization
DELETEhttps://apis.moment.kakao.com/openapi/v4/trackers/${TRACK_ID}Business token

Enables you to unlink a specific Pixel & SDK from an ad account.

Send a DELETE request with the issued business token and an ad account ID (adAccountId) in the request header. You must pass trackId of the Pixel & SDK with permission obtained when you request. If the request is successful, this API returns the HTTP status code 200 without the response body. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Path variable
NameTypeDescriptionRequired
TRACK_IDStringTrack ID.
Use trackId obtained through the Viewing list of linked Pixel & SDKs API.
O

Sample

Request
curl -v -X DELETE "https:// apis.moment.kakao.com/openapi/v4/trackers/${TRACK_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8

See more

Was this helpful?